## openjdk-17 17.0.7%2B7~us1

=== debian/changelog ===
openjdk-17 (17.0.7+7~us1-0ubuntu1~18.04) bionic-security; urgency=medium

  * Upload to Ubuntu 18.04.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Sat, 06 May 2023 11:55:16 +0200

openjdk-17 (17.0.7+7~us1-0ubuntu1) mantic; urgency=medium

  * OpenJDK 17.0.7 release, build 7.
    - CVE-2023-21930, CVE-2023-21937, CVE-2023-21938, CVE-2023-21939,
      CVE-2023-21954, CVE-2023-21967, CVE-2023-21968.
    - Release notes:
      https://mail.openjdk.org/pipermail/jdk-updates-dev/2023-April/021899.html
  * d/rules: update jquery to 3.6.1.
  * d/p/*: refresh patches.
  * d/rules: pack external debug symbols with build-id, do not pack duplicate
    symbols, do not strip JVM shared libraries (LP: #2012326, LP: #2016739).
  * d/p/system-pcsclite.diff: disable built-in pcsclite version assertion.
  * d/rules: always use jtreg6.
  * d/rules: only compile google tests when with_check is enabled, disable them
    for bullseye and jammy.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Thu, 20 Apr 2023 08:28:30 +1200

openjdk-17 (17.0.6+10-1ubuntu3) lunar; urgency=medium

  * d/control: add jtreg6 dependencies, regenerate control.
  * d/t/{jdk,hotspot,jaxp,lantools}: run tier1 and tier2 jtreg tests only,
    add test options from OpenJDK makefile.
  * d/t/*: fix test environment: add missing -nativepath (LP: #2001563).
  * d/t/jdk: provide dbus session for the window manager (LP: #2001576).
  * d/p/build_gtest.patch: build OpenJDK with the system googletest
    (LP: #2012316).
  * d/p/*: add patches for jtreg tests:
    - disable-thumb-assertion.patch: fix JDK-8305481.
    - update-assertion-for-armhf.patch: fix JDK-8305480.
    - misalign-pointer-for-armhf.patch: packaging-specific patch to fix test
      failure introduced by d/p/m68k-support.diff.
    - log-generated-classes-test.patch: workaround JDK-8166162.
    - update-permission-test.patch: add security permissions for testng 7.
    - ldap-timeout-test-use-ip.patch, test-use-ip-address.patch: Ubuntu-specific
      patches to workaround missing DNS resolver on the build machines.
    - exclude_broken_tests.patch: quarantine failing tests.
  * d/rules: package external debug symbols (LP: #2015835).
  * drop d/p/{jaw-classpath.diff, jaw-optional.diff}: the atk wrapper is disabled
    and these patches cause class data sharing tests to fail (LP: #2016194).
  * d/p/exclude-broken-tests.patch: add OpenJDK 17 failures.
  * d/t/jtreg-autopkgtest.in: pass JTREG home to locate junit.jar, regenerate
    d/t/jtreg-autopkgtest.sh (LP: #2016206).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Mon, 27 Mar 2023 11:41:46 +1300

openjdk-17 (17.0.6+10-1ubuntu2) lunar; urgency=medium

  * d/p: drop obsolete patches (LP: #2011653).
    - workaround_expand_exec_shield_cs_limit.diff: obsoleted by
      hotspot-disable-exec-shield-workaround.diff.
    - generated-headers.patch: include is already added by openjdk makefile.
  * d/copyright, d/watch: implement uscan repackaging (LP: #2011749).
  * d/rules: use --with-debug-symbols=none (LP: #2003820).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Thu, 16 Mar 2023 15:04:36 +1300

openjdk-17 (17.0.6+10-1ubuntu1) lunar; urgency=medium

  * debian/JB-jre-headless.postinst.in: trigger ca-certificates-java after jre
    is set up.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Wed, 01 Mar 2023 15:11:45 +1300
