=== debian/rules ===
--- 
+++ 
@@ -105,26 +105,19 @@
 v_upstream	:= $(shell echo $(v_debian) | sed 's/-[^-][^-]*$$//')
 v_pkgrel	:= $(shell echo $(v_debian) | sed 's/^.*-//')
 
-# uncomment for final release
-v_upbase	:= $(word 1, $(subst +, , $(v_upstream)))
-v_upbuild	:= $(word 2, $(subst +, , $(v_upstream)))
-
-# uncomment for pre-release
-#v_upbase	:= $(word 1, $(subst ~, , $(v_upstream)))
-#v_upbuild	:= $(word 2, $(subst ~, , $(v_upstream)))
-# that should be the package version ...
-
-#$(warning XXXXX $(v_upstream) / $(v_pkgrel) / $(v_upbase) / $(v_upbuild))
-
-#uncomment for final release
-ifneq ($(v_debian),$(v_upbase)+$(v_upbuild)-$(v_pkgrel))
-  $(error wrong version: $(v_upbase)+$(v_upbuild)-$(v_pkgrel) should be: $(v_debian))
-endif
-
-# uncomment for pre-releases
-#ifneq ($(v_debian),$(v_upbase)~$(v_upbuild)-$(v_pkgrel))
-#  $(error wrong version: $(v_upbase)~$(v_upbuild)-$(v_pkgrel) should be: $(v_debian))
-#endif
+ifeq (yes,$(is_upstream_release))
+  v_upbase	:= $(word 1, $(subst +, , $(v_upstream)))
+  v_upbuild	:= $(word 2, $(subst +, , $(v_upstream)))
+  ifneq ($(v_debian),$(v_upbase)+$(v_upbuild)-$(v_pkgrel))
+    $(error wrong version: $(v_upbase)+$(v_upbuild)-$(v_pkgrel) should be: $(v_debian))
+  endif
+else
+  v_upbase	:= $(word 1, $(subst ~, , $(v_upstream)))
+  v_upbuild	:= $(word 2, $(subst ~, , $(v_upstream)))
+  ifneq ($(v_debian),$(v_upbase)~$(v_upbuild)-$(v_pkgrel))
+    $(error wrong version: $(v_upbase)~$(v_upbuild)-$(v_pkgrel) should be: $(v_debian))
+  endif
+endif
 
 ifneq (,$(DEB_HOST_MULTIARCH))
   jdirname	= java-$(shortver)-$(origin)-$(DEB_HOST_ARCH)
@@ -238,3 +231,9 @@
     # FIXME: altzero seems to build with GCC 5 on i386, amd64, ppc64el ...
     ifneq (,$(filter $(DEB_HOST_ARCH), arm64))
       ZERO_CC = $(DEB_HOST_GNU_TYPE)-gcc-4.9
+      ZERO_CXX = $(DEB_HOST_GNU_TYPE)-g++-4.9
+    endif
+  else
+    export CC = $(DEB_HOST_GNU_TYPE)-gcc-4.9
+    export CXX = $(DEB_HOST_GNU_TYPE)-g++-4.9
+  endif
