=== debian/watch ===
version=4
opts=\
repack,\
compression=xz,\
 https://github.com/openjdk/jdk17u/tags \
   (?:.*?/)?jdk-(\d[\d.]*\+\d[\d]*)\.tar\.gz
