## openjdk-17 17.0.8%2B7

=== debian/changelog ===
openjdk-17 (17.0.8+7-1revyos1) unstable; urgency=medium

  * Use g++-13

 -- Han Gao <gaohan@iscas.ac.cn>  Sat, 19 Aug 2023 21:17:31 +0800

openjdk-17 (17.0.8+7-1) unstable; urgency=high

  * OpenJDK 17.0.8 release, build 7.
    - CVE-2023-22006, CVE-2023-22036, CVE-2023-22041, CVE-2023-22044,
      CVE-2023-22045, CVE-2023-22049, CVE-2023-25193.
    - Release notes:
      https://www.oracle.com/java/technologies/javase/17-0-8-relnotes.html#R17_0_8

  * Don't run the tests on powerpc, hangs on the buildd.
  * Refresh patches.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 19 Jul 2023 08:29:02 +0200

openjdk-17 (17.0.8~6-5) unstable; urgency=medium

  * Revert back to the riscv64 hotspot patch to v7.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 12 Jul 2023 14:33:08 +0200

openjdk-17 (17.0.8~6-4) unstable; urgency=medium

  [ Matthias Klose ]
  * Update the riscv64 hotspot patch to v9.
  * Run the hotspot tests on riscv64.
  * Link with --no-as-needed. Closes: #1031521.
  * d/rules: Remove EXTRA_.*FLAGS_JDK macros.
  * Fix FTCBFS: Add libffi-dev:native to B-D (Helmut Grohne).

  [ Vladimir Petko ]
  * Disable runtime/jni/nativeStack/TestNativeStack.java for armhf pending
    upstream fix.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 10 Jul 2023 16:41:54 +0200

openjdk-17 (17.0.8~6-3) unstable; urgency=medium

  [ Vladimir Petko ]
  * Use libtestng7-java as jtreg6 dependency as TestNG 7.x is required
    at runtime.
  * Regenerate the control file.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 01 Jul 2023 09:19:52 +0200

openjdk-17 (17.0.8~6-2) unstable; urgency=medium

  * Provide versioned java-runtime, java-runtime-headless, java-sdk
    and java-sdk-headless virtual packages (Emmanuel Bourg). Closes: #1023869.
  * Install jhsb binary and man page on riscv64.
  * Bump standards version.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 29 Jun 2023 07:23:06 +0200

openjdk-17 (17.0.8~6-1) experimental; urgency=medium

  * OpenJDK 17.0.8 early access, build 6.
  * Bump debhelper version to 11.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 27 Jun 2023 12:05:37 +0200

openjdk-17 (17.0.7+7-2) unstable; urgency=medium

  [ Vladimir Petko ]
  * d/rules: backport testng selection logic.

  [ Matthias Klose ]
  * Apply the backport patch for 8276799 (RISC-V Hotspot).
  * Build both JREs (hotspot and zero) on riscv64.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 26 Jun 2023 15:58:27 +0200
