=== debian/rules ===
--- 
+++ 
@@ -55,7 +55,7 @@
 
 multiarch_dir = /$(DEB_HOST_MULTIARCH)
 
-hotspot_archs	= amd64 i386 arm64 armhf ppc64 ppc64el s390x
+hotspot_archs	= amd64 i386 arm64 armhf ppc64 ppc64el riscv64 s390x
 jtreg_archs	= $(hotspot_archs) alpha ia64 powerpc ppc64 sh4 x32
 jtreg_archs	+= armel mipsel mips64el
 jtreg_archs	+= riscv64
@@ -157,11 +157,16 @@
 endif
 
 jtreg_pkg = jtreg6
+testng_pkg= libtestng7-java
 
 with_check = $(if $(findstring nocheck, $(DEB_BUILD_OPTIONS)),,yes)
-ifneq (,$(filter $(DEB_HOST_ARCH), alpha armel mipsel mips64el riscv64))
+ifneq (,$(filter $(DEB_HOST_ARCH), alpha armel ia64 mipsel mips64el powerpc x32))
   with_check = disabled running check on $(DEB_HOST_ARCH)
 endif
+ifeq ($(distribution)-$(distrel),Ubuntu-riscv64)
+  with_check = yes
+endif
+
 # no jtreg backport yet
 ifneq (,$(filter $(distrel), buster bullseye precise trusty xenial bionic focal groovy hirsute impish))
   with_check = disabled for $(distrel), no $(jtreg_pkg)
@@ -233,7 +238,3 @@
       ZERO_CC = $(DEB_HOST_GNU_TYPE)-gcc-4.9
       ZERO_CXX = $(DEB_HOST_GNU_TYPE)-g++-4.9
     endif
-  else
-    export CC = $(DEB_HOST_GNU_TYPE)-gcc-4.9
-    export CXX = $(DEB_HOST_GNU_TYPE)-g++-4.9
-  endif
