## openjdk-17 17.0.8.1+1~us1

=== debian/changelog ===
openjdk-17 (17.0.8.1+1~us1-0ubuntu1~23.04) lunar-security; urgency=high

  * Upload to Ubuntu 23.04.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Fri, 25 Aug 2023 10:57:19 +1200

openjdk-17 (17.0.8.1+1~us1-0ubuntu1) mantic; urgency=high

  * OpenJDK 17.0.8.1 release, build 1.
    - REGRESSION UPDATE: 8313765: Invalid CEN header (invalid zip64 extra data
      field size) (LP: #2032865).
  * d/t/jtreg-autopkgtest.{sh,in}: JDK-8232153 - set NSS_DEFAULT_DB_TYPE
    to let sun/security/pkcs11/Secmod/AddTrustedCert.java pass.
  * d/p/exclude-broken-tests.patch: disable pkcs11 tests failing with
    NSS 3.91.
  * d/t/problems-armhf.txt: disable armf tests -
    java/util/Random/RandomTestBsi1999.java (deadlock in CI),
    java/net/httpclient/ManyRequestsLegacy.java (SSL request timeout).
  * Enable jtreg tests for bionic and focal.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Thu, 24 Aug 2023 11:47:40 +1200
