=== debian/rules ===
--- 
+++ 
@@ -168,7 +168,7 @@
 endif
 
 # no jtreg backport yet
-ifneq (,$(filter $(distrel), buster bullseye precise trusty xenial bionic focal groovy hirsute impish))
+ifneq (,$(filter $(distrel), buster bullseye precise trusty xenial groovy hirsute impish))
   with_check = disabled for $(distrel), no $(jtreg_pkg)
 endif
 
@@ -238,3 +238,4 @@
       ZERO_CC = $(DEB_HOST_GNU_TYPE)-gcc-4.9
       ZERO_CXX = $(DEB_HOST_GNU_TYPE)-g++-4.9
     endif
+  else
