## openjdk-17 17.0.9~4ea

=== debian/changelog ===
openjdk-17 (17.0.9~4ea-1) unstable; urgency=medium

  * OpenJDK 17.0.9 early access, build 4.

  [ Vladimir Petko ]
  * d/t/jtreg-autopkgtest.{sh,in}: JDK-8232153 - set NSS_DEFAULT_DB_TYPE
    to let sun/security/pkcs11/Secmod/AddTrustedCert.java pass.
  * d/p/exclude-broken-tests.patch: quarantine pkcs11 tests failing with NSS 3.91.
  * d/t/problems-armhf.txt: quarantine armhf failing tests:
    - java/net/httpclient/ManyRequestsLegacy.java: SSL request timeout.
    - java/util/Random/RandomTestBsi1999.java: deadlock in CI.
  * d/copyright: Remove liblcms from excluded files.
  * d/rules: Enable jtreg tests for bionic and focal.
  * d/p/build_gtest.patch: Update patch to work with earlier versions
    of google-test.

  [ Matthias Klose ]
  * Explicitly configure --without-jtreg with the nocheck profile

 -- Matthias Klose <doko@ubuntu.com>  Thu, 24 Aug 2023 08:29:32 +0200
