=== debian/rules ===
--- 
+++ 
@@ -82,6 +82,7 @@
 endif
 
 is_upstream_release = yes
+is_upstream_release =
 
 srcdir		= .
 builddir	= build
@@ -237,5 +238,3 @@
     ifneq (,$(filter $(DEB_HOST_ARCH), arm64))
       ZERO_CC = $(DEB_HOST_GNU_TYPE)-gcc-4.9
       ZERO_CXX = $(DEB_HOST_GNU_TYPE)-g++-4.9
-    endif
-  else
