## openjdk-17 17.0.9+9

=== debian/changelog ===
openjdk-17 (17.0.9+9-1~23.10) mantic-security; urgency=high

  * Upload to Ubuntu 23.10.
  * Release notes correction:
    - CVE-2023-22081, CVE-2023-22025.
    - Release notes:
      https://mail.openjdk.org/pipermail/jdk-updates-dev/2023-October/026352.html

 -- Vladimir Petko <vladimir.petko@canonical.com>  Thu, 19 Oct 2023 20:44:58 +1300

openjdk-17 (17.0.9+9-1) unstable; urgency=high

  * OpenJDK 17.0.9 release, build 9.
    - CVE-2023-30589, CVE-2023-22081, CVE-2023-22091, CVE-2023-22025.	
      The patch for CVE-2023-30589 also addresses CVE-2023-30585,
      CVE-2023-30588, and CVE-2023-30590.
    - Release notes: 
      https://www.oracle.com/java/technologies/javase/17-0-9-relnotes.html#R17_0_9

  [ Vladimir Petko ]
  * Backport upstream fix for jexec: can't locate java:
    No such file or directory.  Closes: #1029342.
  * d/rules, d/watch: Bundle googletest 1.14.
  * d/copyright: Add googletest copyright.
  * d/test: Update problemlist.
  * d/p: exclude-broken-tests.patch.
  * d/p/reproducible-properties-timestamp.diff: Use the privileged action
    to read the system property (JDK-8272157, 914278).

 -- Matthias Klose <doko@ubuntu.com>  Wed, 18 Oct 2023 09:07:04 +0200
