=== debian/rules ===
--- 
+++ 
@@ -82,7 +82,7 @@
 endif
 
 is_upstream_release = yes
-is_upstream_release =
+#is_upstream_release =
 
 srcdir		= .
 builddir	= build
